OCC.Core.BRepPrimAPI module

BRepPrimAPI module, see official documentation at https://www.opencascade.com/doc/occt-7.4.0/refman/html/package_brepprimapi.html

class BRepPrimAPI_MakeBox(*args)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

  • Make a box with a corner at 0,0,0 and the other dx,dy,dz
    param dx

    type dx

    float

    param dy

    type dy

    float

    param dz

    type dz

    float

    rtype

    None* Make a box with a corner at P and size dx, dy, dz.

    param P

    type P

    gp_Pnt

    param dx

    type dx

    float

    param dy

    type dy

    float

    param dz

    type dz

    float

    rtype

    None* Make a box with corners P1,P2.

    param P1

    type P1

    gp_Pnt

    param P2

    type P2

    gp_Pnt

    rtype

    None* Ax2 is the left corner and the axis. Constructs a box such that its sides are parallel to the axes of - the global coordinate system, or - the local coordinate system Axis. and - with a corner at (0, 0, 0) and of size (dx, dy, dz), or - with a corner at point P and of size (dx, dy, dz), or - with corners at points P1 and P2. Exceptions Standard_DomainError if: dx, dy, dz are less than or equal to Precision::Confusion(), or - the vector joining the points P1 and P2 has a component projected onto the global coordinate system less than or equal to Precision::Confusion(). In these cases, the box would be flat.

    param Axes

    type Axes

    gp_Ax2

    param dx

    type dx

    float

    param dy

    type dy

    float

    param dz

    type dz

    float

    rtype

    None

BackFace()
  • Returns XMin face
    rtype

    TopoDS_Face

BottomFace()
  • Returns ZMin face
    rtype

    TopoDS_Face

FrontFace()
  • Returns XMax face
    rtype

    TopoDS_Face

LeftFace()
  • Returns YMin face
    rtype

    TopoDS_Face

RightFace()
  • Returns YMax face
    rtype

    TopoDS_Face

Shell()
  • Returns the constructed box as a shell.
    rtype

    TopoDS_Shell

Solid()
  • Returns the constructed box as a solid.
    rtype

    TopoDS_Solid

TopFace()
  • Returns ZMax face
    rtype

    TopoDS_Face

Wedge()
  • Returns the internal algorithm.
    rtype

    BRepPrim_Wedge

property thisown

The membership flag

class BRepPrimAPI_MakeCone(*args)

Bases: OCC.Core.BRepPrimAPI.BRepPrimAPI_MakeOneAxis

  • Make a cone of height H radius R1 in the plane z = 0, R2 in the plane Z = H. R1 and R2 may be null.
    param R1

    type R1

    float

    param R2

    type R2

    float

    param H

    type H

    float

    rtype

    None* Make a cone of height H radius R1 in the plane z = 0, R2 in the plane Z = H. R1 and R2 may be null. Take a section of <angle>

    param R1

    type R1

    float

    param R2

    type R2

    float

    param H

    type H

    float

    param angle

    type angle

    float

    rtype

    None* Make a cone of height H radius R1 in the plane z = 0, R2 in the plane Z = H. R1 and R2 may be null.

    param Axes

    type Axes

    gp_Ax2

    param R1

    type R1

    float

    param R2

    type R2

    float

    param H

    type H

    float

    rtype

    None* Make a cone of height H radius R1 in the plane z = 0, R2 in the plane Z = H. R1 and R2 may be null. Take a section of <angle> Constructs a cone, or a portion of a cone, of height H, and radius R1 in the plane z = 0 and R2 in the plane z = H. The result is a sharp cone if R1 or R2 is equal to 0. The cone is constructed about the ‘Z Axis’ of either: - the global coordinate system, or - the local coordinate system Axes. It is limited in these coordinate systems as follows: - in the v parametric direction (the Z coordinate), by the two parameter values 0 and H, - and in the u parametric direction (defined by the angle of rotation around the Z axis), in the case of a portion of a cone, by the two parameter values 0 and angle. Angle is given in radians. The resulting shape is composed of: - a lateral conical face - two planar faces in the planes z = 0 and z = H, or only one planar face in one of these two planes if a radius value is null (in the case of a complete cone, these faces are circles), and - and in the case of a portion of a cone, two planar faces to close the shape. (either two parallelograms or two triangles, in the planes u = 0 and u = angle). Exceptions Standard_DomainError if: - H is less than or equal to Precision::Confusion(), or - the half-angle at the apex of the cone, defined by R1, R2 and H, is less than Precision::Confusion()/H, or greater than (Pi/2)-Precision::Confusion()/H.f

    param Axes

    type Axes

    gp_Ax2

    param R1

    type R1

    float

    param R2

    type R2

    float

    param H

    type H

    float

    param angle

    type angle

    float

    rtype

    None

Cone()
  • Missing detailed docstring.
    rtype

    BRepPrim_Cone

property thisown

The membership flag

class BRepPrimAPI_MakeCylinder(*args)

Bases: OCC.Core.BRepPrimAPI.BRepPrimAPI_MakeOneAxis

  • Make a cylinder of radius R and length H.
    param R

    type R

    float

    param H

    type H

    float

    rtype

    None* Make a cylinder of radius R and length H with angle H.

    param R

    type R

    float

    param H

    type H

    float

    param Angle

    type Angle

    float

    rtype

    None* Make a cylinder of radius R and length H.

    param Axes

    type Axes

    gp_Ax2

    param R

    type R

    float

    param H

    type H

    float

    rtype

    None* Make a cylinder of radius R and length H with angle H. Constructs - a cylinder of radius R and height H, or - a portion of cylinder of radius R and height H, and of the angle Angle defining the missing portion of the cylinder. The cylinder is constructed about the ‘Z Axis’ of either: - the global coordinate system, or - the local coordinate system Axes. It is limited in this coordinate system as follows: - in the v parametric direction (the Z axis), by the two parameter values 0 and H, - and in the u parametric direction (the rotation angle around the Z Axis), in the case of a portion of a cylinder, by the two parameter values 0 and Angle. Angle is given in radians. The resulting shape is composed of: - a lateral cylindrical face, - two planar faces in the planes z = 0 and z = H (in the case of a complete cylinder, these faces are circles), and - in case of a portion of a cylinder, two additional planar faces to close the shape.(two rectangles in the planes u = 0 and u = Angle). Exceptions Standard_DomainError if: - R is less than or equal to Precision::Confusion(), or - H is less than or equal to Precision::Confusion().

    param Axes

    type Axes

    gp_Ax2

    param R

    type R

    float

    param H

    type H

    float

    param Angle

    type Angle

    float

    rtype

    None

Cylinder()
  • Missing detailed docstring.
    rtype

    BRepPrim_Cylinder

property thisown

The membership flag

class BRepPrimAPI_MakeHalfSpace(*args)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

  • Make a HalfSpace defined with a Face and a Point.
    param Face

    type Face

    TopoDS_Face

    param RefPnt

    type RefPnt

    gp_Pnt

    rtype

    None* Make a HalfSpace defined with a Shell and a Point.

    param Shell

    type Shell

    TopoDS_Shell

    param RefPnt

    type RefPnt

    gp_Pnt

    rtype

    None

Solid()
  • Returns the constructed half-space as a solid.
    rtype

    TopoDS_Solid

property thisown

The membership flag

class BRepPrimAPI_MakeOneAxis(*args, **kwargs)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

Face()
  • Returns the lateral face of the rotational primitive.
    rtype

    TopoDS_Face

OneAxis()
  • The inherited commands should provide the algorithm. Returned as a pointer.
    rtype

    Standard_Address

Shell()
  • Returns the constructed rotational primitive as a shell.
    rtype

    TopoDS_Shell

Solid()
  • Returns the constructed rotational primitive as a solid.
    rtype

    TopoDS_Solid

property thisown

The membership flag

class BRepPrimAPI_MakePrism(*args)

Bases: OCC.Core.BRepPrimAPI.BRepPrimAPI_MakeSweep

  • Builds the prism of base S and vector V. If C is true, S is copied. If Canonize is true then generated surfaces are attempted to be canonized in simple types
    param S

    type S

    TopoDS_Shape

    param V

    type V

    gp_Vec

    param Copy

    default value is Standard_False

    type Copy

    bool

    param Canonize

    default value is Standard_True

    type Canonize

    bool

    rtype

    None* Builds a semi-infinite or an infinite prism of base S. If Inf is true the prism is infinite, if Inf is false the prism is semi-infinite (in the direction D). If C is true S is copied (for semi-infinite prisms). If Canonize is true then generated surfaces are attempted to be canonized in simple types

    param S

    type S

    TopoDS_Shape

    param D

    type D

    gp_Dir

    param Inf

    default value is Standard_True

    type Inf

    bool

    param Copy

    default value is Standard_False

    type Copy

    bool

    param Canonize

    default value is Standard_True

    type Canonize

    bool

    rtype

    None

FirstShape()
  • Returns the TopoDS Shape of the bottom of the prism.
    rtype

    TopoDS_Shape* Returns the TopoDS Shape of the bottom of the prism. generated with theShape (subShape of the generating shape).

    param theShape

    type theShape

    TopoDS_Shape

    rtype

    TopoDS_Shape

LastShape()
  • Returns the TopoDS Shape of the top of the prism. In the case of a finite prism, FirstShape returns the basis of the prism, in other words, S if Copy is false; otherwise, the copy of S belonging to the prism. LastShape returns the copy of S translated by V at the time of construction.
    rtype

    TopoDS_Shape* Returns the TopoDS Shape of the top of the prism. generated with theShape (subShape of the generating shape).

    param theShape

    type theShape

    TopoDS_Shape

    rtype

    TopoDS_Shape

Prism()
  • Returns the internal sweeping algorithm.
    rtype

    BRepSweep_Prism

property thisown

The membership flag

class BRepPrimAPI_MakeRevol(*args)

Bases: OCC.Core.BRepPrimAPI.BRepPrimAPI_MakeSweep

  • Builds the Revol of base S, axis A and angle D. If C is true, S is copied.
    param S

    type S

    TopoDS_Shape

    param A

    type A

    gp_Ax1

    param D

    type D

    float

    param Copy

    default value is Standard_False

    type Copy

    bool

    rtype

    None* Builds the Revol of base S, axis A and angle 2*Pi. If C is true, S is copied.

    param S

    type S

    TopoDS_Shape

    param A

    type A

    gp_Ax1

    param Copy

    default value is Standard_False

    type Copy

    bool

    rtype

    None

Degenerated()
  • Returns the list of degenerated edges
    rtype

    TopTools_ListOfShape

FirstShape()
  • Returns the first shape of the revol (coinciding with the generating shape).
    rtype

    TopoDS_Shape* Returns the TopoDS Shape of the beginning of the revolution, generated with theShape (subShape of the generating shape).

    param theShape

    type theShape

    TopoDS_Shape

    rtype

    TopoDS_Shape

HasDegenerated()
  • Check if there are degenerated edges in the result.
    rtype

    bool

LastShape()
  • Returns the TopoDS Shape of the end of the revol.
    rtype

    TopoDS_Shape* Returns the TopoDS Shape of the end of the revolution, generated with theShape (subShape of the generating shape).

    param theShape

    type theShape

    TopoDS_Shape

    rtype

    TopoDS_Shape

Revol()
  • Returns the internal sweeping algorithm.
    rtype

    BRepSweep_Revol

property thisown

The membership flag

class BRepPrimAPI_MakeRevolution(*args)

Bases: OCC.Core.BRepPrimAPI.BRepPrimAPI_MakeOneAxis

  • Make a revolution body by rotating a curve around Z.
    param Meridian

    type Meridian

    Geom_Curve

    rtype

    None* Make a revolution body by rotating a curve around Z.

    param Meridian

    type Meridian

    Geom_Curve

    param angle

    type angle

    float

    rtype

    None* Make a revolution body by rotating a curve around Z.

    param Meridian

    type Meridian

    Geom_Curve

    param VMin

    type VMin

    float

    param VMax

    type VMax

    float

    rtype

    None* Make a revolution body by rotating a curve around Z.

    param Meridian

    type Meridian

    Geom_Curve

    param VMin

    type VMin

    float

    param VMax

    type VMax

    float

    param angle

    type angle

    float

    rtype

    None* Make a revolution body by rotating a curve around Z.

    param Axes

    type Axes

    gp_Ax2

    param Meridian

    type Meridian

    Geom_Curve

    rtype

    None* Make a revolution body by rotating a curve around Z.

    param Axes

    type Axes

    gp_Ax2

    param Meridian

    type Meridian

    Geom_Curve

    param angle

    type angle

    float

    rtype

    None* Make a revolution body by rotating a curve around Z.

    param Axes

    type Axes

    gp_Ax2

    param Meridian

    type Meridian

    Geom_Curve

    param VMin

    type VMin

    float

    param VMax

    type VMax

    float

    rtype

    None* Make a revolution body by rotating a curve around Z. For all algorithms the resulting shape is composed of - a lateral revolved face, - two planar faces in planes parallel to the plane z = 0, and passing by the extremities of the revolved portion of Meridian, if these points are not on the Z axis (in case of a complete revolved shape, these faces are circles), - and in the case of a portion of a revolved shape, two planar faces to close the shape (in the planes u = 0 and u = angle).

    param Axes

    type Axes

    gp_Ax2

    param Meridian

    type Meridian

    Geom_Curve

    param VMin

    type VMin

    float

    param VMax

    type VMax

    float

    param angle

    type angle

    float

    rtype

    None

Revolution()
  • Missing detailed docstring.
    rtype

    BRepPrim_Revolution

property thisown

The membership flag

class BRepPrimAPI_MakeSphere(*args)

Bases: OCC.Core.BRepPrimAPI.BRepPrimAPI_MakeOneAxis

  • Make a sphere of radius R.
    param R

    type R

    float

    rtype

    None* Make a sphere of radius R.

    param R

    type R

    float

    param angle

    type angle

    float

    rtype

    None* Make a sphere of radius R.

    param R

    type R

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    rtype

    None* Make a sphere of radius R.

    param R

    type R

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    param angle3

    type angle3

    float

    rtype

    None* Make a sphere of radius R.

    param Center

    type Center

    gp_Pnt

    param R

    type R

    float

    rtype

    None* Make a sphere of radius R.

    param Center

    type Center

    gp_Pnt

    param R

    type R

    float

    param angle

    type angle

    float

    rtype

    None* Make a sphere of radius R.

    param Center

    type Center

    gp_Pnt

    param R

    type R

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    rtype

    None* Make a sphere of radius R.

    param Center

    type Center

    gp_Pnt

    param R

    type R

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    param angle3

    type angle3

    float

    rtype

    None* Make a sphere of radius R.

    param Axis

    type Axis

    gp_Ax2

    param R

    type R

    float

    rtype

    None* Make a sphere of radius R.

    param Axis

    type Axis

    gp_Ax2

    param R

    type R

    float

    param angle

    type angle

    float

    rtype

    None* Make a sphere of radius R.

    param Axis

    type Axis

    gp_Ax2

    param R

    type R

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    rtype

    None* Make a sphere of radius R. For all algorithms The resulting shape is composed of - a lateral spherical face, - two planar faces parallel to the plane z = 0 if the sphere is truncated in the v parametric direction, or only one planar face if angle1 is equal to -p/2 or if angle2 is equal to p/2 (these faces are circles in case of a complete truncated sphere), - and in case of a portion of sphere, two planar faces to shut the shape.(in the planes u = 0 and u = angle).

    param Axis

    type Axis

    gp_Ax2

    param R

    type R

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    param angle3

    type angle3

    float

    rtype

    None

Sphere()
  • Missing detailed docstring.
    rtype

    BRepPrim_Sphere

property thisown

The membership flag

class BRepPrimAPI_MakeSweep(*args, **kwargs)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

FirstShape()
  • Returns the TopoDS Shape of the bottom of the sweep.
    rtype

    TopoDS_Shape

LastShape()
  • Returns the TopoDS Shape of the top of the sweep.
    rtype

    TopoDS_Shape

property thisown

The membership flag

class BRepPrimAPI_MakeTorus(*args)

Bases: OCC.Core.BRepPrimAPI.BRepPrimAPI_MakeOneAxis

  • Make a torus of radii R1 R2.
    param R1

    type R1

    float

    param R2

    type R2

    float

    rtype

    None* Make a section of a torus of radii R1 R2.

    param R1

    type R1

    float

    param R2

    type R2

    float

    param angle

    type angle

    float

    rtype

    None* Make a torus of radii R2, R2 with angles on the small circle.

    param R1

    type R1

    float

    param R2

    type R2

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    rtype

    None* Make a torus of radii R2, R2 with angles on the small circle.

    param R1

    type R1

    float

    param R2

    type R2

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    param angle

    type angle

    float

    rtype

    None* Make a torus of radii R1 R2.

    param Axes

    type Axes

    gp_Ax2

    param R1

    type R1

    float

    param R2

    type R2

    float

    rtype

    None* Make a section of a torus of radii R1 R2.

    param Axes

    type Axes

    gp_Ax2

    param R1

    type R1

    float

    param R2

    type R2

    float

    param angle

    type angle

    float

    rtype

    None* Make a torus of radii R1 R2.

    param Axes

    type Axes

    gp_Ax2

    param R1

    type R1

    float

    param R2

    type R2

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    rtype

    None* Make a section of a torus of radii R1 R2. For all algorithms The resulting shape is composed of - a lateral toroidal face, - two conical faces (defined by the equation v = angle1 and v = angle2) if the sphere is truncated in the v parametric direction (they may be cylindrical faces in some particular conditions), and in case of a portion of torus, two planar faces to close the shape.(in the planes u = 0 and u = angle). Notes: - The u parameter corresponds to a rotation angle around the Z axis. - The circle whose radius is equal to the minor radius, located in the plane defined by the X axis and the Z axis, centered on the X axis, on its positive side, and positioned at a distance from the origin equal to the major radius, is the reference circle of the torus. The rotation around an axis parallel to the Y axis and passing through the center of the reference circle gives the v parameter on the reference circle. The X axis gives the origin of the v parameter. Near 0, as v increases, the Z coordinate decreases.

    param Axes

    type Axes

    gp_Ax2

    param R1

    type R1

    float

    param R2

    type R2

    float

    param angle1

    type angle1

    float

    param angle2

    type angle2

    float

    param angle

    type angle

    float

    rtype

    None

Torus()
  • Missing detailed docstring.
    rtype

    BRepPrim_Torus

property thisown

The membership flag

class BRepPrimAPI_MakeWedge(*args)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

  • Make a STEP right angular wedge. (ltx >= 0)
    param dx

    type dx

    float

    param dy

    type dy

    float

    param dz

    type dz

    float

    param ltx

    type ltx

    float

    rtype

    None* Make a STEP right angular wedge. (ltx >= 0)

    param Axes

    type Axes

    gp_Ax2

    param dx

    type dx

    float

    param dy

    type dy

    float

    param dz

    type dz

    float

    param ltx

    type ltx

    float

    rtype

    None* Make a wedge. The face at dy is xmin,zmin xmax,zmax

    param dx

    type dx

    float

    param dy

    type dy

    float

    param dz

    type dz

    float

    param xmin

    type xmin

    float

    param zmin

    type zmin

    float

    param xmax

    type xmax

    float

    param zmax

    type zmax

    float

    rtype

    None* Make a wedge. The face at dy is xmin,zmin xmax,zmax

    param Axes

    type Axes

    gp_Ax2

    param dx

    type dx

    float

    param dy

    type dy

    float

    param dz

    type dz

    float

    param xmin

    type xmin

    float

    param zmin

    type zmin

    float

    param xmax

    type xmax

    float

    param zmax

    type zmax

    float

    rtype

    None

Shell()
  • Returns the constructed box in the form of a shell.
    rtype

    TopoDS_Shell

Solid()
  • Returns the constructed box in the form of a solid.
    rtype

    TopoDS_Solid

Wedge()
  • Returns the internal algorithm.
    rtype

    BRepPrim_Wedge

property thisown

The membership flag

class SwigPyIterator(*args, **kwargs)

Bases: object

advance()
copy()
decr()
distance()
equal()
incr()
next()
previous()
property thisown

The membership flag

value()